/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2023 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define USER_Btn_Pin GPIO_PIN_13
#define USER_Btn_GPIO_Port GPIOC
#define USER_Btn_EXTI_IRQn EXTI15_10_IRQn
#define MCO_Pin GPIO_PIN_0
#define MCO_GPIO_Port GPIOH
#define SW5_1_Pin GPIO_PIN_0
#define SW5_1_GPIO_Port GPIOA
#define SW5_2_Pin GPIO_PIN_1
#define SW5_2_GPIO_Port GPIOA
#define SW5_3_Pin GPIO_PIN_2
#define SW5_3_GPIO_Port GPIOA
#define SW5_4_Pin GPIO_PIN_3
#define SW5_4_GPIO_Port GPIOA
#define SW5_5_Pin GPIO_PIN_4
#define SW5_5_GPIO_Port GPIOA
#define SW5_6_Pin GPIO_PIN_5
#define SW5_6_GPIO_Port GPIOA
#define SW5_7_Pin GPIO_PIN_6
#define SW5_7_GPIO_Port GPIOA
#define SW5_8_Pin GPIO_PIN_7
#define SW5_8_GPIO_Port GPIOA
#define LD1_Pin GPIO_PIN_0
#define LD1_GPIO_Port GPIOB
#define LED12_Pin GPIO_PIN_10
#define LED12_GPIO_Port GPIOB
#define LED13_Pin GPIO_PIN_11
#define LED13_GPIO_Port GPIOB
#define LD3_Pin GPIO_PIN_14
#define LD3_GPIO_Port GPIOB
#define SWAP_Pin GPIO_PIN_5
#define SWAP_GPIO_Port GPIOG
#define USB_OverCurrent_Pin GPIO_PIN_7
#define USB_OverCurrent_GPIO_Port GPIOG
#define WB_Pin GPIO_PIN_8
#define WB_GPIO_Port GPIOG
#define MKYRESET_Pin GPIO_PIN_6
#define MKYRESET_GPIO_Port GPIOC
#define USB_SOF_Pin GPIO_PIN_8
#define USB_SOF_GPIO_Port GPIOA
#define USB_VBUS_Pin GPIO_PIN_9
#define USB_VBUS_GPIO_Port GPIOA
#define USB_ID_Pin GPIO_PIN_10
#define USB_ID_GPIO_Port GPIOA
#define USB_DM_Pin GPIO_PIN_11
#define USB_DM_GPIO_Port GPIOA
#define USB_DP_Pin GPIO_PIN_12
#define USB_DP_GPIO_Port GPIOA
#define TMS_Pin GPIO_PIN_13
#define TMS_GPIO_Port GPIOA
#define TCK_Pin GPIO_PIN_14
#define TCK_GPIO_Port GPIOA
#define INT1_Pin GPIO_PIN_10
#define INT1_GPIO_Port GPIOG
#define INT1_EXTI_IRQn EXTI15_10_IRQn
#define DONA_Pin GPIO_PIN_14
#define DONA_GPIO_Port GPIOG
#define DONA_EXTI_IRQn EXTI15_10_IRQn
#define INT0_Pin GPIO_PIN_15
#define INT0_GPIO_Port GPIOG
#define INT0_EXTI_IRQn EXTI15_10_IRQn
#define LED6_Pin GPIO_PIN_4
#define LED6_GPIO_Port GPIOB
#define LED7_Pin GPIO_PIN_5
#define LED7_GPIO_Port GPIOB
#define LED8_Pin GPIO_PIN_6
#define LED8_GPIO_Port GPIOB
#define LED9_Pin GPIO_PIN_7
#define LED9_GPIO_Port GPIOB
#define LED10_Pin GPIO_PIN_8
#define LED10_GPIO_Port GPIOB
#define LED11_Pin GPIO_PIN_9
#define LED11_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
