/**
 * @file   CUnet.h
 * @author StepTechnica
 * @date   Nov 16 2023
 * 
 * @brief Evaluation Board 用ヘッダーファイル「CUnet処理」
 * 
 * @copyright (C) 2022- StepTechnica Co.,Ltd.
 * 
 * このソフトウェアは、コピー利用、配布、変更の追加、変更を加えたもの再配布、商用利用、有料販売など、どなたも自由にお使いいただくことができます。
 * このソフトウェアには保証はついていません。
 * このソフトウェアを利用したことで問題が起きた際に、ソフトウェアの製作者は一切の責任を負いません。
 * 
 */

#ifndef CMD_CUNET_H
#define CMD_CUNET_H

/* -----------------------------------------------------------------------------
 * #defineマクロ定義
 */
#define AUTOSTART	1				// 0=NotStart, 1=Start
#define MKY_BCR_SA_VALUE	0			//Station Address
#define MKY_BCR_BPS_VALUE	3			//BPS (12Mbps)
#define MKY_BCR_OWN_VALUE	1			//OWN width
#define MKY_BCR_LFS_VALUE	0			//Long Frame Select


/* -----------------------------------------------------------------------------
 * 関数宣言
 */

extern void CUnet_main(void);
extern void CUnet_initialize(void);


#endif//CMD_CUNET_H
